package com.jz.manage.moduls.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.constant.Constants;
import com.jz.manage.moduls.controller.finance.platForm.BalanceInfoDto;
import com.jz.manage.moduls.controller.finance.platForm.BalanceListDto;
import com.jz.manage.moduls.controller.finance.platForm.BalanceListRequest;
import com.jz.manage.moduls.mapper.FinanceCustomerBalanceDao;
import com.jz.manage.moduls.service.FinanceCustomerBalanceService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 企业客户充值记录(TFinanceCustomerBalance)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:39
 */
@Service("financeCustomerBalanceService")
public class FinanceCustomerBalanceServiceImpl implements FinanceCustomerBalanceService {

    @Autowired
    private FinanceCustomerBalanceDao financeCustomerBalanceDao;


    @Override
    public PageInfoResponse<BalanceListDto> findListBalance(BalanceListRequest balanceListRequest, HttpServletRequest httpRequest)  throws Exception {
        PageInfoResponse<BalanceListDto> pageInfoResponse = new PageInfoResponse<>();

        Map param = new HashMap();
        //从session中获取平台用户id
        //SysUserDto user = (SysUserDto) SessionUtils.getUserCurrent(requset,"sysUser");
        //param.put("userId", user.getUserId());
        //充值描述
        if (StringUtils.isNotEmpty(balanceListRequest.getRemark())) {
            param.put("remark", balanceListRequest.getRemark());
        }
        //企业名
        if (StringUtils.isNotEmpty(balanceListRequest.getDepartmentName())) {
            param.put("departmentName", balanceListRequest.getDepartmentName());
        }
        //充值状态
        if (StringUtils.isNotEmpty(balanceListRequest.getAuditStatus())) {
            param.put("auditStatus", balanceListRequest.getAuditStatus());
        }
        //充值时间
        if (StringUtils.isNotEmpty(balanceListRequest.getBalanceTime())) {
            String balanceTime = balanceListRequest.getBalanceTime();
            String[] times = balanceTime.split("-");
            param.put("startTime", times[0] + "00:00:00");
            param.put("endTime", times[1] + "23:59:59");
        }
        PageHelper.startPage(balanceListRequest.getPageNum(), balanceListRequest.getPageSize());
        List<BalanceListDto> list = financeCustomerBalanceDao.findListBalance(param);
        PageInfo<BalanceListDto> pageInfo = new PageInfo<>(list);

        pageInfoResponse.setCode(Constants.SUCCESS_CODE);
        pageInfoResponse.setMessage("查询成功");
        pageInfoResponse.setData(pageInfo);
        return pageInfoResponse;
    }

    @Override
    public BalanceInfoDto queryBalanceByid(String customerBalanceId) throws Exception {
        return financeCustomerBalanceDao.queryBalanceByid(customerBalanceId);
    }
}